package com.fzm.mall.server.admin.system.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.fzm.mall.server.admin.system.entity.dto.SysBlockChainManagementDTO;
import com.fzm.mall.server.admin.system.entity.dto.SysBlockChainManagementSaveDTO;
import com.fzm.mall.server.admin.system.entity.dto.SysBlockChainManagementUpdateDTO;
import com.fzm.mall.server.admin.system.model.SysBlockChainManagement;

/**
 * <p>
 * 系统中心-区块链管理 服务类
 * </p>
 *
 * @author fzm
 * @since 2021-08-12
 */
public interface ISysBlockChainManagementService extends IService<SysBlockChainManagement> {

    void save(SysBlockChainManagementSaveDTO saveDTO);

    void update(SysBlockChainManagementUpdateDTO updateDTO);

    void validStateUpdate(String blockChainId, Integer validState, Long updateTime);

    void delete(String blockChainId);

    SysBlockChainManagementDTO read(String blockChainId);

    IPage<SysBlockChainManagementDTO> page(Page<SysBlockChainManagementDTO> page, String keyword);

}
